> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Single Tool

> Test a single tool with custom arguments.

This allows testing specific tools with custom parameters
to validate their functionality.

Note: This endpoint does not require authentication for testing purposes.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json post /testing/tools/{tool_key}/test
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /testing/tools/{tool_key}/test:
    post:
      tags:
        - testing
      summary: Test Single Tool
      description: >-
        Test a single tool with custom arguments.


        This allows testing specific tools with custom parameters

        to validate their functionality.


        Note: This endpoint does not require authentication for testing
        purposes.
      operationId: test_single_tool_testing_tools__tool_key__test_post
      parameters:
        - name: tool_key
          in: path
          required: true
          schema:
            type: string
            title: Tool Key
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              default: {}
              title: Test Args
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````